Subject: Russian Giant Sunflowers

From: [email-masked] (Evil One)
Date: Thu, 05 Sep 1996 02:16:43 GMT

I am wondering about my "Giants". This is the first time I have ever
planted them and they did wonderfuly up till now. Now all the leaves
are dieing off progressively up the stalk. The flowers are no longer
producing pollen and the stamens are falling off as you touch them. 

	I know it is September but it is still quite warm here and I'm
wondering if this simply indicates they are done for the year or sick.

	Also if you could, please tell me how to prepare the seeds for eating.

	Any help would be appreciated. E-mail me if you wish.

	Peter